SystemOrganization addCategory: #GODFilterTests!

TestCase subclass: #GFMainFilterTest
	instanceVariableNames: 'setOfGodData god'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GODFilterTests'!

GFMainFilterTest class
	instanceVariableNames: 'gf'!

GFMainFilterTest class
	instanceVariableNames: 'gf'!

!GFMainFilterTest methodsFor: 'initialize-release' stamp: 'ym 9/26/2014 00:19'!
setUp
	| godData |

	god := GFMainFilter new.

	setOfGodData := Set new.
	godData := GODData new.
	godData
		title: 'title1';
		origin: 'origin1';
		content: 'content1';
		tags: #('tag1') asOrderedCollection.
	setOfGodData add: godData.
	godData := GODData new.
	godData
		title: 'title2';
		origin: 'origin2';
		content: 'content1';
		tags: #('tag1' 'tag2') asOrderedCollection.
	setOfGodData add: godData.
	godData := GODData new.
	godData
		title: 'title3';
		origin: 'origin1';
		content: 'content2';
		tags: #('tag1' 'tag2') asOrderedCollection.
	setOfGodData add: godData.
	godData := GODData new.
	godData
		title: 'title4';
		origin: 'origin2';
		content: 'content2';
		tags: #('tag2') asOrderedCollection.
	setOfGodData add: godData.! !

!GFMainFilterTest methodsFor: 'tests' stamp: 'LM 9/28/2014 22:37'!
testFIlterByTag
	| expectedResult godData |
	expectedResult := Set new.
	godData := GODData new.
	godData
		title: 'title1';
		origin: 'origin1';
		content: 'content1';
		tags: #('tag1') asOrderedCollection.
	expectedResult add: godData.
	godData := GODData new.
	godData
		title: 'title2';
		origin: 'origin2';
		content: 'content2';
		tags: #('tag1' 'tag2') asOrderedCollection.
	expectedResult add: godData.

	self assert: (god filter: setOfGodData byTags: 'tag1') = expectedResult.! !

!GFMainFilterTest methodsFor: 'tests' stamp: 'ym 9/26/2014 00:23'!
testFilterByContent
	| expectedResult godData |
	expectedResult := Set new.
	godData := GODData new.
	godData
		title: 'title3';
		origin: 'origin1';
		content: 'content2';
		tags: #('tag1' 'tag2') asOrderedCollection.
	expectedResult add: godData.
	godData := GODData new.
	godData
		title: 'title4';
		origin: 'origin2';
		content: 'content2';
		tags: #('tag2') asOrderedCollection.
	expectedResult add: godData.

	self assert: (god filter: setOfGodData byContent: 'content2') = expectedResult.! !

!GFMainFilterTest methodsFor: 'tests' stamp: 'ym 9/26/2014 00:24'!
testFilterByOrigin
	| expectedResult godData |
	expectedResult := Set new.
	godData := GODData new.
	godData
		title: 'title1';
		origin: 'origin1';
		content: 'content1';
		tags: #('tag1') asOrderedCollection.
	expectedResult add: godData.
	godData := GODData new.
	godData
		title: 'title3';
		origin: 'origin1';
		content: 'content2';
		tags: #('tag1' 'tag2') asOrderedCollection.
	expectedResult add: godData.

	self assert: (god filter: setOfGodData byOrigin: 'origin1') = expectedResult.! !

!GFMainFilterTest methodsFor: 'tests' stamp: 'ym 9/26/2014 00:26'!
testFilterByTitle
	| expectedResult godData |
	expectedResult := Set new.
	godData := GODData new.
	godData
		title: 'title4';
		origin: 'origin2';
		content: 'content2';
		tags: #('tag2') asOrderedCollection.
	expectedResult add: godData.

	self assert: (god filter: setOfGodData byTitle: 'title4') = expectedResult.! !
